import { Observable } from 'rxjs';
import { NotificationsConfig } from './interfaces/notificationsConfig.interface';
export declare class CfNotificationsService {
    delayRetry: any;
    private ws;
    config: NotificationsConfig;
    dontRetry: boolean;
    constructor(config: NotificationsConfig);
    /**
     * open connection to the WebSocket end point
     */
    watch(): Observable<{}>;
    close(): void;
    send(data: any): void;
    connect(obser: any): void;
    private retry;
    private setDefaultConfig;
    private log;
}
